.m-settings-list {
  list-style: none;
  padding: 0;
  margin: 1rem;
  padding: 0.5rem 0;

  &__item {
    border-bottom: 2px solid var(--black-25);

    &:last-child {
      border: none;
    }

    &__link {
      padding: 1.5rem 0;
      display: flex;
      font-size: 1.25rem;
      justify-content: space-between;
      text-decoration: none;
      color: inherit;

      &:hover {
        .m-settings-list__item__link__text mat-icon {
          transform: translateX(0.15rem);
        }

        .m-settings-list__item__link__icon mat-icon {
          transform: scale(1.5);
        }
      }

      &__icon {
        mat-icon {
          vertical-align: bottom;
          transform: scale(1.25);
          margin-right: 0.75rem;
          transition: transform 0.15s ease;
        }
      }

      &__text {
        mat-icon {
          vertical-align: bottom;
          transform: translateX(-0.15rem);
          transition: transform 0.15s ease;
        }
      }
    }
  }
}
